# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5
inherit eutils

DESCRIPTION="Boolector is an SMT solver for bit-vectors and arrays"
HOMEPAGE="http://fmv.jku.at/boolector/"
SRC_URI="http://fmv.jku.at/boolector/boolector-1.5.116-eeaf10b-121004.tar.gz"
S=${WORKDIR}/boolector-1.5.116-eeaf10b-121004

LICENSE="boolector"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="
	sci-mathematics/lingeling"
RDEPEND="${DEPEND}"

src_prepare() {
	epatch ${FILESDIR}/pathfixes.patch
}

src_configure() {
	./configure --lingeling --no-picosat --no-minisat
}

src_install() {
	dodoc NEWS VERSION
	dobin boolector synthebtor deltabtor
	dolib libboolector.a
	doheader boolector.h
}
